Page MenuHomeFreeBSD

New port: databases/usql: Universal command-line interface for SQL databases
ClosedPublic

Authored by yuri on Feb 25 2018, 9:48 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jul 20, 1:25 AM
Unknown Object (File)
Apr 26 2024, 9:55 AM
Unknown Object (File)
Apr 26 2024, 9:55 AM
Unknown Object (File)
Apr 26 2024, 9:55 AM
Unknown Object (File)
Apr 26 2024, 2:39 AM
Unknown Object (File)
Apr 21 2024, 4:50 AM
Unknown Object (File)
Apr 21 2024, 4:50 AM
Unknown Object (File)
Apr 21 2024, 4:50 AM
Subscribers

Details

Summary

Universal command-line interface for SQL databases

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 15258
Build 15318: arc lint + arc unit

Event Timeline

There is a stage da violation

=>> Error: Filesystem touched during build:
extra: root/.cache
This revision now requires changes to proceed.Feb 26 2018, 7:03 AM

There is a stage da violation

=>> Error: Filesystem touched during build:
extra: root/.cache

Interesting. I didn't get this. Will see what might be causing it.

There is a stage da violation

=>> Error: Filesystem touched during build:
extra: root/.cache

@tcberner Are you building with testport?
In this case, Go ports are broken with testport.
It has to do that (I suspect) testport sets "HOME" environment variable.

There is a stage da violation

=>> Error: Filesystem touched during build:
extra: root/.cache

I can't understand why you are getting this error.
There is the algorithm in Go that chooses the cache directory. Environment variables GOCACHE, then XDG_DATA_HOME, then HOME.
Go ports don't do anything special for this because XDG_DATA_HOME is set during build.
I think your error might be intermittent.

databases/usql/Makefile
36

Don't use :=, use GH_ACCOUNT_DEFAULT instead.

yuri marked an inline comment as done.Feb 27 2018, 7:05 PM

Tobias,

This problem (with /root/.cache) is a general problem with many or all go ports. I just asked on ports@.
It builds fine here for me, though.
I think this makes it safe to commit, since there is nothing particularly wrong with this port. :)

Yuri

This revision was not accepted when it landed; it landed in state Needs Review.Mar 4 2018, 9:40 AM
This revision was automatically updated to reflect the committed changes.